// 配置手册： https://cli.vuejs.org/zh/config/#vue-config-js
const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  transpileDependencies: true,
  // publicPath: './',
  devServer: {
    port: 9012,
    proxy: {
      "/api/": {
        target: process.env.VUE_APP_DEV_PROXY,
        changeOrigin: true
      }
    }
  },
  chainWebpack: config => {
    // webpack-chain配置手册：github.com/neutrinojs/webpack-chain#getting-started
    config.plugin("html").tap(args => {
      args[0].title = "运维管理平台";
      return args;
    });
  }
});
